package com.lonepulse.robozombie.core.response;

/*
 * #%L
 * RoboZombie
 * %%
 * Copyright (C) 2013 Lonepulse
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */


import org.apache.http.HttpResponse;

import com.lonepulse.robozombie.core.processor.ProxyInvocationConfiguration;
import com.lonepulse.robozombie.core.response.parser.ResponseParsers;

/**
 * <p>A concrete implementation of {@link ResponseHandler} which handles 
 * {@link HttpResponse}s. 
 * 
 * @version 1.1.0
 * <br><br>
 * @author <a href="mailto:lahiru@lonepulse.com">Lahiru Sahan Jayasinghe</a>
 */
class BasicResponseHandler implements ResponseHandler {

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Object handle(HttpResponse httpResponse, ProxyInvocationConfiguration config)
	throws ResponseHandlerException {
		
		return ResponseParsers.RESOLVER.resolve(config).parse(httpResponse, config);
	}
}
